public inbox for gentoo-dev@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-dev@lists.gentoo.org
Cc: "Michał Górny" <mgorny@gentoo.org>
Subject: [gentoo-dev] [PATCH 2/2] linux-mod-r1.eclass: Explicitly check for missing zstd
Date: Sat, 30 Dec 2023 06:07:16 +0100	[thread overview]
Message-ID: <20231230050716.127184-2-mgorny@gentoo.org> (raw)
In-Reply-To: <20231230050716.127184-1-mgorny@gentoo.org>

Signed-off-by: Michał Górny <mgorny@gentoo.org>
---
 eclass/linux-mod-r1.eclass | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/eclass/linux-mod-r1.eclass b/eclass/linux-mod-r1.eclass
index b6be4ba8a16d..4de2e3f89995 100644
--- a/eclass/linux-mod-r1.eclass
+++ b/eclass/linux-mod-r1.eclass
@@ -855,6 +855,9 @@ _modules_process_compress() {
 			compress=(gzip)
 		fi
 	elif linux_chkconfig_present MODULE_COMPRESS_ZSTD; then
+		if ! type -P zstd &>/dev/null; then
+			die "zstd not found, please install app-arch/zstd or disable USE=modules-compress"
+		fi
 		compress=(zstd -qT"$(makeopts_jobs)" --rm)
 	else
 		die "USE=modules-compress enabled but no MODULE_COMPRESS* configured"
-- 
2.43.0



  reply	other threads:[~2023-12-30  5:07 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-12-30  5:07 [gentoo-dev] [PATCH 1/2] linux-mod-r1.eclass: Require the compression to succeed Michał Górny
2023-12-30  5:07 ` Michał Górny [this message]
2023-12-30 15:27   ` [gentoo-dev] [PATCH 2/2] linux-mod-r1.eclass: Explicitly check for missing zstd Ionen Wolkens
2023-12-30 16:15     ` Michał Górny
2023-12-30 10:34 ` [gentoo-dev] [PATCH 1/2] linux-mod-r1.eclass: Require the compression to succeed Ulrich Mueller
2023-12-30 12:58   ` Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20231230050716.127184-2-mgorny@gentoo.org \
    --to=mgorny@gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox